Compliance Assessment Service API Documentation
  • Overview
  • Core Concepts
  • API Reference
Product
  • Pricing
Company
  • About Us
  • Contact
Legal
  • Privacy Policy

© 2026 Precognox. All rights reserved.

Information
info-controller
    Get application infoget
framework-controller
    List all frameworksgetList framework criteriaget
assessment-controller
    Submit assessmentpostPoll assessment statusgetGet assessment resultsgetCancel assessmentdelete
assessment-feedback-controller
    Submit assessment feedbackpost
content-processing-controller
    Submit file for content processingpostSubmit URL for content processingpostGet content processing statusgetBatch status checkpostGet extracted contentgetCancel content processingdeleteRefresh content processingpost
Schemas
Compliance Manager Backend API
Compliance Manager Backend API

assessment-feedback-controller


Submit assessment feedback

POST
https://dev-compliance-assessment.precognox.com
/api/v1/assessmentFeedback

Submit feedback on an assessment result, including a rationale feedback and an optional category correction.

Submit assessment feedback › Headers

KEYCLOAK_SUBJECT
​string · uuid · required

UUID of the authenticated partner (set by the API gateway from the Keycloak access token)

Submit assessment feedback › Request Body

Request body for submitting feedback on an assessment result
AssessmentFeedbackRequestDTO
expertId
​string · required

The ID of the expert who is rating the assessment

rationalFeedback
​string · required

The feedback on the rationale provided by the expert

assessmentResponseId
​integer · int64

The ID of the assessment response being rated

categoryFeedback
​string · enum

The corrected category according to the expert

Enum values:
SUFFICIENTLY_REGULATED
NOT_SUFFICIENTLY_REGULATED
MISSING

Submit assessment feedback › Responses

OK — feedback submitted

No data returned
POST/api/v1/assessmentFeedback
curl --request POST \ --url https://dev-compliance-assessment.precognox.com/api/v1/assessmentFeedback \ --header 'Content-Type: application/json' \ --header 'KEYCLOAK_SUBJECT: <string>' \ --data ' { "assessmentResponseId": 0, "expertId": "expertId", "rationalFeedback": "rationalFeedback", "categoryFeedback": "SUFFICIENTLY_REGULATED" } '
shell
Example Request Body
{ "assessmentResponseId": 0, "expertId": "expertId", "rationalFeedback": "rationalFeedback", "categoryFeedback": "SUFFICIENTLY_REGULATED" }
json
Example Responses
No example specified for this content type

assessment-controllercontent-processing-controller